Skip to main content
GET
Retrieve a payout

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payout_id
string
required

ID of the payout.

Response

The payout.

id
string
Example:

"po_dlZwQyd0Sn"

treasury_account_id
string | null

ID of the treasury account funding the payout

Example:

"tac_b0TrsSg91h"

payee_id
string

ID of the payee

Example:

"pyee_KfIuLz83Ya"

batch_id
string | null

ID of the payout batch if this payout belongs to one

Example:

"pob_r8PxTnQ5Dv"

funded_amount
integer | null

The amount funded from the treasury account in smallest currency unit

Example:

125000

funding_currency
string | null

ISO 4217 currency code for the funded amount

Example:

"USD"

payment_amount
integer | null

Amount sent to payee in smallest currency unit (after currency conversion)

Example:

125000

payment_currency
string | null

ISO 4217 currency code for the payment amount

Example:

"USD"

exchange_rate
string | null

Exchange rate used for currency conversion (if applicable)

Example:

"1.00000000"

status
enum<string>
Available options:
ReadyToProcess,
Processing,
Succeeded,
Failed,
Canceled,
RequiresPayeeInfo,
RequiresAction,
RequiresPayoutMethod,
NeedsApproval

URL for the payout link if generated for recipient choice

payout_method
object | null

The payout method used for this payout

reference
string | null

Client-supplied reference for reconciliation

Example:

"REF-2025-001"

description
string | null
Example:

"Payment for services rendered"

purpose_of_payment
enum<string> | null

Purpose of the payment

Available options:
ProviderBillPayment,
Commission,
Refund,
ClaimReimbursement
processed_at
string<date-time> | null

When the payout was processed

Example:

"2025-10-08T18:25:00Z"

payment_date
string<date> | null

Expected or actual payment date

Example:

"2025-10-08"

swift_charge_option
enum<string> | null

SWIFT charge option (for international wire transfers)

Available options:
Our,
Shared,
Beneficiary
lock_side
enum<string>

Which side of the FX quote has a locked rate. Funding means the funded amount is fixed; Payment means the payment amount is fixed.

Available options:
Funding,
Payment
failure_code
string | null

Error code if the payout failed

Example:

"insufficient_funds"

failure_message
string | null

Human-readable error message if the payout failed

Example:

"Insufficient funds in treasury account"

metadata
object | null

Optional metadata as key-value pairs

Example:
created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on July 8, 2026